# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Test::More-style wrapper around HTML::Tidy
Name:		perl-Test-HTML-Tidy
Version:	1.00
Release:	9.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Test-HTML-Tidy/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/Test-HTML-Tidy-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker), perl(HTML::Tidy) >= 1.00, perl(Test::Builder::Tester)
BuildRequires:	perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Tests for the HTML::Tidy module.

%prep
%setup -q -n Test-HTML-Tidy-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Test/HTML/
%{_mandir}/man3/Test::HTML::Tidy.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 1.00-9
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> 1.00-8
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 1.00-7
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> 1.00-6
- Define RPM macros in global scope

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> 1.00-5
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Wed Jun  6 2007 Paul Howarth <paul@city-fan.org> 1.00-4
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker), perl(Test::Pod) and
  perl(Test::Pod::Coverage)
- Fix argument order for find with -depth

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.00-3
- Simplify distribution-detection code
- Don't define %%perl_vendorarch in noarch package
- Remove %%__perl_version macro, used only once
- Remove %%__perl_package macro, used only twice
- Don't use macros in build-time command paths, hardcode them instead
- Remove buildroot unconditionally in %%clean and %%install
- Own directory %%{perl_vendorlib}/Test/HTML
- Don't set up compiler optimization flags in noarch package
- Use search.cpan.org URLs
- Use perl(Test::Builder::Tester) buildreq instead of perl-Test-Builder-Tester

* Thu May 26 2005 Paul Howarth <paul@city-fan.org> 1.00-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Thu May 13 2004 Paul Howarth <paul@city-fan.org> 1.00-1
- Initial build
